## r-cran-curl 3.1

=== DESCRIPTION ===
Package: curl
Type: Package
Title: A Modern and Flexible Web Client for R
Version: 3.1
Authors@R: c(
    person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = c("cre", "aut")),
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = "ctb"),
    person("RStudio", role = "cph")
    )
Description: The curl() and curl_download() functions provide highly
    configurable drop-in replacements for base url() and download.file() with
    better performance, support for encryption (https, ftps), gzip compression,
    authentication, and other 'libcurl' goodies. The core of the package implements a
    framework for performing fully customized requests where data can be processed
    either in memory, on disk, or streaming via the callback or connection
    interfaces. Some knowledge of 'libcurl' is recommended; for a more-user-friendly
    web client see the 'httr' package which builds on this package with http
    specific tools and logic.
License: MIT + file LICENSE
SystemRequirements: libcurl: libcurl-devel (rpm) or
        libcurl4-openssl-dev (deb).
URL: https://github.com/jeroen/curl#readme (devel)
        https://curl.haxx.se/libcurl/ (upstream)
BugReports: https://github.com/jeroen/curl/issues
Suggests: testthat (>= 1.0.0), knitr, jsonlite, rmarkdown, magrittr,
        httpuv, webutils
VignetteBuilder: knitr
Depends: R (>= 3.0.0)
LazyData: true
RoxygenNote: 6.0.1.9000
NeedsCompilation: yes
Packaged: 2017-12-12 13:28:58 UTC; jeroen
Author: Jeroen Ooms [cre, aut],
  Hadley Wickham [ctb],
  RStudio [cph]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2017-12-12 22:20:59 UTC

## r-cran-curl 0.9.6

=== debian/changelog ===
r-cran-curl (0.9.6-1) unstable; urgency=low

  * Initial release (Closes: #819001)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Mar 2016 18:38:08 +0100

=== debian/control ===
Source: r-cran-curl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               libcurl4-openssl-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-curl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-curl/trunk/
Homepage: https://cran.r-project.org/web/packages/curl/

Package: r-cran-curl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: r-cran-jsonlite
Description: GNU R modern and flexible web client for R
 The curl() and curl_download() functions provide highly configurable drop-
 in replacements for base url() and download.file() with better
 performance, support for encryption (https, ftps), gzip compression,
 authentication, and other libcurl goodies. The core of the package
 implements a framework for performing fully customized requests where
 data can be processed either in memory, on disk, or streaming via the
 callback or connection interfaces. Some knowledge of libcurl is
 recommended; for a more-user-friendly web client see the 'httr' package
 which builds on this package with http specific tools and logic.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/curl_([-0-9\.]*).tar.gz

## r-cran-curl 2.3

=== debian/changelog ===
r-cran-curl (2.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 08:42:16 +0100

r-cran-curl (2.2-1) unstable; urgency=medium

  * New upstream version (applied patch from last release)
  * Convert to dh-r

 -- Andreas Tille <tille@debian.org>  Mon, 31 Oct 2016 22:28:35 +0100

r-cran-curl (2.1-1) unstable; urgency=medium

  * New upstream version
  * Fix FTBFS on big-endian architectures (thanks for the patch to Aurelien
    Jarno <aurel32@debian.org>)
    Closes: #841210
  * canonical homepage for cran

 -- Andreas Tille <tille@debian.org>  Wed, 19 Oct 2016 05:34:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev,
                libcurl4-openssl-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-curl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-curl/trunk/
-Homepage: https://cran.r-project.org/web/packages/curl/
+Homepage: https://cran.r-project.org/package=curl
 
 Package: r-cran-curl
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${R:Depends}
-Recommends: r-cran-jsonlite
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R modern and flexible web client for R
  The curl() and curl_download() functions provide highly configurable drop-
  in replacements for base url() and download.file() with better

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-jsonlite
Restrictions: allow-stderr

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/curl_([-0-9\.]*).tar.gz

## r-cran-curl 3.0

=== debian/changelog ===
r-cran-curl (3.0-2) unstable; urgency=medium

  * Skip new tests failing on autopkgtest infrastructure,
    thanks Gianfranco Costamagna
  * debian/clean: clean tools/option_table.txt after build

 -- Graham Inggs <ginggs@debian.org>  Mon, 16 Oct 2017 11:47:13 +0000

r-cran-curl (3.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2017 11:31:29 +0200

r-cran-curl (2.8.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #860018
  * Standards-Version: 4.1.0 (no changes needed)
  * Add README.source to document binary data file

 -- Andreas Tille <tille@debian.org>  Thu, 14 Sep 2017 09:31:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-r,
                r-base-dev,
                libcurl4-openssl-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-curl/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-curl/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-curl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-curl.git
 Homepage: https://cran.r-project.org/package=curl
 
 Package: r-cran-curl

## r-cran-curl 3.1

=== debian/changelog ===
r-cran-curl (3.1-2) unstable; urgency=medium

  * Fix autopkgtest (thanks for the patch to Steve Langasek
    <steve.langasek@canonical.com>).  This is related to bug #891943 but
    is not closed since r-cran-webutils should be packaged to run the
    whole test suite successfully.

 -- Andreas Tille <tille@debian.org>  Sun, 04 Mar 2018 07:50:42 +0100

r-cran-curl (3.1-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in d/watch
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 21 Feb 2018 12:19:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                libcurl4-openssl-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-curl.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-curl.git
 Homepage: https://cran.r-project.org/package=curl

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-jsonlite, r-cran-httpuv
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/curl_([-0-9\.]*).tar.gz

## r-cran-curl 3.2

=== debian/changelog ===
r-cran-curl (3.2-2ubuntu2) cosmic; urgency=medium

  * Properly fix ssl verifyhost test case, using upstream cherrypick.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 10 Oct 2018 01:56:18 +0100

r-cran-curl (3.2-2ubuntu1) cosmic; urgency=high

  * Disabling ssl verifyhost is not enough to pass fake domain check,
    adjust test suite.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Oct 2018 03:38:36 +0100

r-cran-curl (3.2-2build1) cosmic; urgency=medium

  * No-change rebuild against the same libcurl as r-base

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Jun 2018 11:21:30 +0000

r-cran-curl (3.2-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Fix Upstream-Contact
  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Wed, 30 May 2018 09:57:22 +0200

r-cran-curl (3.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Mon, 02 Apr 2018 21:14:12 +0200

r-cran-curl (3.1-3) unstable; urgency=medium

  * Add r-cran-webutils to test Depends
    Closes: #891943

 -- Andreas Tille <tille@debian.org>  Sat, 24 Mar 2018 00:13:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-curl
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
@@ -7,16 +8,16 @@
                dh-r,
                r-base-dev,
                libcurl4-openssl-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-curl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-curl.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-curl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-curl.git
 Homepage: https://cran.r-project.org/package=curl
 
 Package: r-cran-curl
 Architecture: any
-Depends: ${misc:Depends},
+Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${R:Depends}
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R modern and flexible web client for R

## r-cran-curl 3.3+dfsg

=== debian/changelog ===
r-cran-curl (3.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 15 Jan 2019 11:09:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: r-cran-curl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                libcurl4-openssl-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-curl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-curl.git
 Homepage: https://cran.r-project.org/package=curl

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/curl_([-0-9\.]*).tar.gz

## r-cran-curl 4.0+dfsg

=== debian/changelog ===
r-cran-curl (4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jul 2019 15:08:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                libcurl4-openssl-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-curl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-curl.git
 Homepage: https://cran.r-project.org/package=curl

## r-cran-curl 4.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Package: curl
 Type: Package
 Title: A Modern and Flexible Web Client for R
-Version: 3.1
+Version: 4.3
 Authors@R: c(
-    person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = c("cre", "aut")),
+    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+      comment = c(ORCID = "0000-0002-4035-0289")),
     person("Hadley", "Wickham", , "hadley@rstudio.com", role = "ctb"),
     person("RStudio", role = "cph")
     )
@@ -19,20 +20,23 @@
 License: MIT + file LICENSE
 SystemRequirements: libcurl: libcurl-devel (rpm) or
         libcurl4-openssl-dev (deb).
-URL: https://github.com/jeroen/curl#readme (devel)
+URL: https://jeroen.cran.dev/curl (docs)
+        https://github.com/jeroen/curl#readme (devel)
         https://curl.haxx.se/libcurl/ (upstream)
 BugReports: https://github.com/jeroen/curl/issues
-Suggests: testthat (>= 1.0.0), knitr, jsonlite, rmarkdown, magrittr,
-        httpuv, webutils
+Suggests: spelling, testthat (>= 1.0.0), knitr, jsonlite, rmarkdown,
+        magrittr, httpuv (>= 1.4.4), webutils
 VignetteBuilder: knitr
 Depends: R (>= 3.0.0)
 LazyData: true
-RoxygenNote: 6.0.1.9000
+RoxygenNote: 7.0.1
+Encoding: UTF-8
+Language: en-US
 NeedsCompilation: yes
-Packaged: 2017-12-12 13:28:58 UTC; jeroen
-Author: Jeroen Ooms [cre, aut],
+Packaged: 2019-12-02 12:33:03 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Hadley Wickham [ctb],
   RStudio [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2017-12-12 22:20:59 UTC
+Date/Publication: 2019-12-02 14:00:03 UTC

=== debian/changelog ===
r-cran-curl (4.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2019 16:50:45 +0100

r-cran-curl (4.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 01 Oct 2019 09:51:56 +0200

r-cran-curl (4.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set fields Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Exclude authentication test from autopkgtest since it needs remote
    access

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2019 09:33:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-r,
                r-base-dev,
                libcurl4-openssl-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-curl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-curl.git
 Homepage: https://cran.r-project.org/package=curl

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-jsonlite, r-cran-httpuv, r-cran-webutils
Restrictions: allow-stderr

## r-cran-curl 4.3.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: curl
 Type: Package
 Title: A Modern and Flexible Web Client for R
-Version: 4.3
+Version: 4.3.2
 Authors@R: c(
     person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -20,23 +20,21 @@
 License: MIT + file LICENSE
 SystemRequirements: libcurl: libcurl-devel (rpm) or
         libcurl4-openssl-dev (deb).
-URL: https://jeroen.cran.dev/curl (docs)
-        https://github.com/jeroen/curl#readme (devel)
-        https://curl.haxx.se/libcurl/ (upstream)
+URL: https://github.com/jeroen/curl (devel) https://curl.se/libcurl/
+        (upstream)
 BugReports: https://github.com/jeroen/curl/issues
 Suggests: spelling, testthat (>= 1.0.0), knitr, jsonlite, rmarkdown,
         magrittr, httpuv (>= 1.4.4), webutils
 VignetteBuilder: knitr
 Depends: R (>= 3.0.0)
-LazyData: true
-RoxygenNote: 7.0.1
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2019-12-02 12:33:03 UTC; jeroen
+Packaged: 2021-06-22 11:39:40 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Hadley Wickham [ctb],
   RStudio [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2019-12-02 14:00:03 UTC
+Date/Publication: 2021-06-23 07:00:06 UTC

=== debian/changelog ===
r-cran-curl (4.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 20:46:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libcurl4-openssl-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-curl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-curl.git
 Homepage: https://cran.r-project.org/package=curl
+Rules-Requires-Root: no
 
 Package: r-cran-curl
 Architecture: any

## r-cran-curl 5.0.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: curl
 Type: Package
 Title: A Modern and Flexible Web Client for R
-Version: 4.3.2
+Version: 5.0.0
 Authors@R: c(
     person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -27,14 +27,14 @@
         magrittr, httpuv (>= 1.4.4), webutils
 VignetteBuilder: knitr
 Depends: R (>= 3.0.0)
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 Encoding: UTF-8
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2021-06-22 11:39:40 UTC; jeroen
+Packaged: 2023-01-12 13:33:22 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Hadley Wickham [ctb],
   RStudio [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-06-23 07:00:06 UTC
+Date/Publication: 2023-01-12 18:10:01 UTC

=== debian/changelog ===
r-cran-curl (5.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 13:49:09 +0100

r-cran-curl (4.3.3+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 11:39:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-curl
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-curl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-curl.git
+Homepage: https://cran.r-project.org/package=curl
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libcurl4-openssl-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-curl
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-curl.git
-Homepage: https://cran.r-project.org/package=curl
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-curl
 Architecture: any

## r-cran-curl 5.0.1+dfsg

=== debian/changelog ===
r-cran-curl (5.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository.
  * Test needs internet

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2023 09:51:40 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-jsonlite, r-cran-httpuv, r-cran-webutils
Restrictions: allow-stderr, needs-internet

## r-cran-curl 5.2.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: curl
 Type: Package
 Title: A Modern and Flexible Web Client for R
-Version: 5.0.0
+Version: 5.2.0
 Authors@R: c(
     person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -20,21 +20,20 @@
 License: MIT + file LICENSE
 SystemRequirements: libcurl: libcurl-devel (rpm) or
         libcurl4-openssl-dev (deb).
-URL: https://github.com/jeroen/curl (devel) https://curl.se/libcurl/
-        (upstream)
+URL: https://jeroen.r-universe.dev/curl https://curl.se/libcurl/
 BugReports: https://github.com/jeroen/curl/issues
-Suggests: spelling, testthat (>= 1.0.0), knitr, jsonlite, rmarkdown,
-        magrittr, httpuv (>= 1.4.4), webutils
+Suggests: spelling, testthat (>= 1.0.0), knitr, jsonlite, later,
+        rmarkdown, magrittr, httpuv (>= 1.4.4), webutils
 VignetteBuilder: knitr
 Depends: R (>= 3.0.0)
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2023-01-12 13:33:22 UTC; jeroen
+Packaged: 2023-12-07 23:07:08 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Hadley Wickham [ctb],
   RStudio [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2023-01-12 18:10:01 UTC
+Date/Publication: 2023-12-08 07:30:02 UTC

## r-cran-curl 5.2.0+dfsg

=== debian/changelog ===
r-cran-curl (5.2.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:26:48 +1100

r-cran-curl (5.2.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:58:05 +0000

r-cran-curl (5.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:17:33 +0100

r-cran-curl (5.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2023 16:47:06 +0200

r-cran-curl (5.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 18 Aug 2023 14:21:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-cran-curl
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-curl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-curl.git

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spelling,
        r-cran-testthat (>= 1.0.0),
        r-cran-knitr,
        r-cran-jsonlite,
        r-cran-later,
        r-cran-rmarkdown,
        r-cran-magrittr,
        r-cran-httpuv (>= 1.4.4),
        r-cran-webutils
Restrictions: allow-stderr, needs-internet

## r-cran-curl 5.2.1+dfsg

=== debian/changelog ===
r-cran-curl (5.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Jun 2024 08:57:04 +0900

## r-cran-curl 5.2.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: curl
 Type: Package
 Title: A Modern and Flexible Web Client for R
-Version: 5.2.0
+Version: 5.2.3
 Authors@R: c(
-    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
       comment = c(ORCID = "0000-0002-4035-0289")),
     person("Hadley", "Wickham", , "hadley@rstudio.com", role = "ctb"),
     person("RStudio", role = "cph")
@@ -23,17 +23,17 @@
 URL: https://jeroen.r-universe.dev/curl https://curl.se/libcurl/
 BugReports: https://github.com/jeroen/curl/issues
 Suggests: spelling, testthat (>= 1.0.0), knitr, jsonlite, later,
-        rmarkdown, magrittr, httpuv (>= 1.4.4), webutils
+        rmarkdown, httpuv (>= 1.4.4), webutils
 VignetteBuilder: knitr
 Depends: R (>= 3.0.0)
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.0
 Encoding: UTF-8
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2023-12-07 23:07:08 UTC; jeroen
+Packaged: 2024-09-19 15:43:51 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Hadley Wickham [ctb],
   RStudio [cph]
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-12-08 07:30:02 UTC
+Date/Publication: 2024-09-20 11:50:24 UTC

=== debian/changelog ===
r-cran-curl (5.2.3+dfsg-1ubuntu1) plucky; urgency=medium

  * Also exclude test-certificates.R from autopkgtest

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 02 Jan 2025 12:27:40 +0000

r-cran-curl (5.2.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 24 Sep 2024 08:19:08 +0900

r-cran-curl (5.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 18 Sep 2024 09:11:45 +0900

## r-cran-curl 6.1.0+dfsg

=== debian/changelog ===
r-cran-curl (6.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  [ Graham Inggs ]
  * Also exclude test-certificates.R from autopkgtest

  [ Michael R. Crusoe ]
  * New upstream version
  * Refreshed the patch.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 19 Jan 2025 19:42:18 +0100

## r-cran-curl 6.2.1+dfsg

=== DESCRIPTION ===
Package: curl
Type: Package
Title: A Modern and Flexible Web Client for R
Version: 6.2.1
Authors@R: c(
    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Hadley", "Wickham", role = "ctb"),
    person("Posit Software, PBC", role = "cph"))
Description: Bindings to 'libcurl' <https://curl.se/libcurl/> for performing fully
    configurable HTTP/FTP requests where responses can be processed in memory, on
    disk, or streaming via the callback or connection interfaces. Some knowledge
    of 'libcurl' is recommended; for a more-user-friendly web client see the 
    'httr2' package which builds on this package with http specific tools and logic.
License: MIT + file LICENSE
SystemRequirements: libcurl (>= 7.62): libcurl-devel (rpm) or
        libcurl4-openssl-dev (deb)
URL: https://jeroen.r-universe.dev/curl
BugReports: https://github.com/jeroen/curl/issues
Suggests: spelling, testthat (>= 1.0.0), knitr, jsonlite, later,
        rmarkdown, httpuv (>= 1.4.4), webutils
VignetteBuilder: knitr
Depends: R (>= 3.0.0)
RoxygenNote: 7.3.2.9000
Encoding: UTF-8
Language: en-US
NeedsCompilation: yes
Packaged: 2025-02-18 18:23:19 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Hadley Wickham [ctb],
  Posit Software, PBC [cph]
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2025-02-19 06:00:02 UTC

=== debian/changelog ===
r-cran-curl (6.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Feb 2025 08:51:08 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-curl
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-curl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-curl.git
 Homepage: https://cran.r-project.org/package=curl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
         r-cran-jsonlite,
         r-cran-later,
         r-cran-rmarkdown,
-        r-cran-magrittr,
         r-cran-httpuv (>= 1.4.4),
         r-cran-webutils
 Restrictions: allow-stderr, needs-internet

## r-cran-curl 7.0.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: curl
 Type: Package
 Title: A Modern and Flexible Web Client for R
-Version: 6.2.1
+Version: 7.0.0
 Authors@R: c(
     person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -13,7 +13,7 @@
     of 'libcurl' is recommended; for a more-user-friendly web client see the 
     'httr2' package which builds on this package with http specific tools and logic.
 License: MIT + file LICENSE
-SystemRequirements: libcurl (>= 7.62): libcurl-devel (rpm) or
+SystemRequirements: libcurl (>= 7.73): libcurl-devel (rpm) or
         libcurl4-openssl-dev (deb)
 URL: https://jeroen.r-universe.dev/curl
 BugReports: https://github.com/jeroen/curl/issues
@@ -21,14 +21,14 @@
         rmarkdown, httpuv (>= 1.4.4), webutils
 VignetteBuilder: knitr
 Depends: R (>= 3.0.0)
-RoxygenNote: 7.3.2.9000
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2025-02-18 18:23:19 UTC; jeroen
-Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
+Packaged: 2025-08-19 10:05:57 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (ORCID: <https://orcid.org/0000-0002-4035-0289>),
   Hadley Wickham [ctb],
   Posit Software, PBC [cph]
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-02-19 06:00:02 UTC
+Date/Publication: 2025-08-19 22:40:02 UTC

=== debian/changelog ===
r-cran-curl (7.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 03 Sep 2025 09:09:12 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-curl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-curl.git
 Homepage: https://cran.r-project.org/package=curl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
